Oracle Linux Security Advisory ELSA-2023-13047

https://linux.oracle.com/errata/ELSA-2023-13047.html

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

x86_64:
bpftool-7.2.0-362.13.0.1.el9_3.x86_64.rpm
kernel-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-abi-stablelists-5.14.0-362.13.0.1.el9_3.noarch.rpm
kernel-core-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-debug-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-debug-core-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-debug-modules-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-debug-modules-extra-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-modules-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-modules-extra-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-tools-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-tools-libs-5.14.0-362.13.0.1.el9_3.x86_64.rpm
python3-perf-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-debug-devel-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-debug-devel-matched-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-devel-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-devel-matched-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-doc-5.14.0-362.13.0.1.el9_3.noarch.rpm
kernel-headers-5.14.0-362.13.0.1.el9_3.x86_64.rpm
perf-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-cross-headers-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-tools-libs-devel-5.14.0-362.13.0.1.el9_3.x86_64.rpm
rtla-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-debug-modules-core-5.14.0-362.13.0.1.el9_3.x86_64.rpm
kernel-modules-core-5.14.0-362.13.0.1.el9_3.x86_64.rpm

aarch64:
bpftool-7.2.0-362.13.0.1.el9_3.aarch64.rpm
kernel-tools-5.14.0-362.13.0.1.el9_3.aarch64.rpm
kernel-tools-libs-5.14.0-362.13.0.1.el9_3.aarch64.rpm
python3-perf-5.14.0-362.13.0.1.el9_3.aarch64.rpm
kernel-headers-5.14.0-362.13.0.1.el9_3.aarch64.rpm
perf-5.14.0-362.13.0.1.el9_3.aarch64.rpm
kernel-cross-headers-5.14.0-362.13.0.1.el9_3.aarch64.rpm
kernel-tools-libs-devel-5.14.0-362.13.0.1.el9_3.aarch64.rpm


SRPMS:
https://oss.oracle.com:443/ol9/SRPMS-updates//kernel-5.14.0-362.13.0.1.el9_3.src.rpm

Related CVEs:

CVE-2023-1192
CVE-2023-5345
CVE-2023-45871




Description of changes:

- [5.14.0-362.13.0.1.el9_3.OL9]
- cifs: Fix UAF in cifs_demultiplex_thread() (Zhang Xiaoxu) (Steve French) {CVE-2023-1192}
- fs/smb/client: Reset password pointer to NULL (Quang Le) (Steve French) {CVE-2023-5345}
- igb: set max size RX buffer when store bad packet is enabled (Tony Nguyen) (David S. Miller) {CVE-2023-45871}

- [5.14.0-362.8.1.el9_3.OL9]
- Update Oracle Linux certificates (Kevin Lyons)
- Disable signing for aarch64 (Ilya Okomin)
- Oracle Linux RHCK Module Signing Key was added to the kernel trusted keys list (olkmod_signing_key.pem) [Orabug: 29539237]
- Update x509.genkey [Orabug: 24817676]
- Conflict with shim-ia32 and shim-x64 <= 15.3-1.0.5]
- Remove nmap references from kernel (Mridula Shastry) [Orabug: 34313944]
- Remove upstream reference during boot (Kevin Lyons) [Orabug: 34729535]
- Disable unified kernel image package build
- Add Oracle Linux IMA certificates

- 5.14.0
- Debranding patches copied from Rocky Linux (Louis Abel and Sherif Nagy from RESF)


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata

Oracle9: ELSA-2023-13047: kernel security Important Security Update

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

Summary

- [5.14.0-362.13.0.1.el9_3.OL9] - cifs: Fix UAF in cifs_demultiplex_thread() (Zhang Xiaoxu) (Steve French) {CVE-2023-1192} - fs/smb/client: Reset password pointer to NULL (Quang Le) (Steve French) {CVE-2023-5345} - igb: set max size RX buffer when store bad packet is enabled (Tony Nguyen) (David S. Miller) {CVE-2023-45871} - [5.14.0-362.8.1.el9_3.OL9] - Update Oracle Linux certificates (Kevin Lyons) - Disable signing for aarch64 (Ilya Okomin) - Oracle Linux RHCK Module Signing Key was added to the kernel trusted keys list (olkmod_signing_key.pem) [Orabug: 29539237] - Update x509.genkey [Orabug: 24817676] - Conflict with shim-ia32 and shim-x64 <= 15.3-1.0.5] - Remove nmap references from kernel (Mridula Shastry) [Orabug: 34313944] - Remove upstream reference during boot (Kevin Lyons) [Orabug: 34729535] - Disable unified kernel image package build - Add Oracle Linux IMA certificates - 5.14.0 - Debranding patches copied from Rocky Linux (Louis Abel and Sherif Nagy from RESF)

SRPMs

https://oss.oracle.com:443/ol9/SRPMS-updates//kernel-5.14.0-362.13.0.1.el9_3.src.rpm

x86_64

bpftool-7.2.0-362.13.0.1.el9_3.x86_64.rpm kernel-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-abi-stablelists-5.14.0-362.13.0.1.el9_3.noarch.rpm kernel-core-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-debug-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-debug-core-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-debug-modules-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-debug-modules-extra-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-modules-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-modules-extra-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-tools-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-tools-libs-5.14.0-362.13.0.1.el9_3.x86_64.rpm python3-perf-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-debug-devel-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-debug-devel-matched-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-devel-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-devel-matched-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-doc-5.14.0-362.13.0.1.el9_3.noarch.rpm kernel-headers-5.14.0-362.13.0.1.el9_3.x86_64.rpm perf-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-cross-headers-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-tools-libs-devel-5.14.0-362.13.0.1.el9_3.x86_64.rpm rtla-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-debug-modules-core-5.14.0-362.13.0.1.el9_3.x86_64.rpm kernel-modules-core-5.14.0-362.13.0.1.el9_3.x86_64.rpm

aarch64

bpftool-7.2.0-362.13.0.1.el9_3.aarch64.rpm kernel-tools-5.14.0-362.13.0.1.el9_3.aarch64.rpm kernel-tools-libs-5.14.0-362.13.0.1.el9_3.aarch64.rpm python3-perf-5.14.0-362.13.0.1.el9_3.aarch64.rpm kernel-headers-5.14.0-362.13.0.1.el9_3.aarch64.rpm perf-5.14.0-362.13.0.1.el9_3.aarch64.rpm kernel-cross-headers-5.14.0-362.13.0.1.el9_3.aarch64.rpm kernel-tools-libs-devel-5.14.0-362.13.0.1.el9_3.aarch64.rpm

i386

Severity
Related CVEs: CVE-2023-1192 CVE-2023-5345 CVE-2023-45871

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo